CVSLASTCHANGE(1)

NAME
cvslastchange - display the last committed changes for a file

SYNOPSIS
cvslastchange file [ revision ]
cvslastchange M +digits -digits file revision

DESCRIPTION
cvslastchange displays the last changes committed to the CVS for the given file. It does this by launching 'cvs log' and 'cvs diff'.

If a revision is passed, the changes committed for that particular revision will be displayed. Otherwise the currently checked out revision will be used.

This tool works with other branches as well as with HEAD.

This utility is part of the TDE Software Development Kit.

OPTIONS

M +digits -digits
    These options are currently ignored.

ENVIRONMENT VARIABLES

CVSLASTCHANGE_KEEP_WHITESPACE
    Define this variable if you do not want the whitespace to be modified in any way when displaying changes. Usually the whitespace is tidied up a little before the changes are displayed on screen.
    This variable is useful if you are using cvslastchange to extract a patch that can be applied elsewhere.

SEE ALSO
cvsbackport(1), cvsblame(1), cvsforwardport(1), cvslastlog(1), cvsrevertlast(1).

AUTHOR
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).